> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset bundle results, drafts, approvals, stage assignees, and optionally detach attachments

> Resets all results, drafts, approvals, stage assignees, and stage/classification for the specified policy versions within a bundle. Optionally detach specified attachments. Accepts reason and relatedFindingId for audit purposes.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/governance/v1/rpc/reset-bundle
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/rpc/reset-bundle:
    post:
      tags:
        - Governance operations
      summary: >-
        Reset bundle results, drafts, approvals, stage assignees, and optionally
        detach attachments
      description: >-
        Resets all results, drafts, approvals, stage assignees, and
        stage/classification for the specified policy versions within a bundle.
        Optionally detach specified attachments. Accepts reason and
        relatedFindingId for audit purposes.
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/rai-guardrails-service_server.ResetBundleRequest
        description: Request for resetting bundle and its policies
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_guardrails.ResetBundleCounts
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_server.ResetBundleRequest:
      type: object
      required:
        - bundleId
        - policyVersionIds
      properties:
        attachmentIds:
          items:
            type: string
          type: array
        bundleId:
          type: string
        policyVersionIds:
          items:
            type: string
          type: array
        reason:
          type: string
        relatedFindingId:
          type: string
    rai-guardrails-service_guardrails.ResetBundleCounts:
      type: object
      properties:
        approvalsReset:
          type: integer
        assigneesReset:
          type: integer
        attachmentsReset:
          type: integer
        draftsReset:
          type: integer
        resultsReset:
          type: integer
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy

````

## Related topics

- [Review and approve bundles](/cloud/platform-capabilities/features/governance/work-with-bundles/review-bundles.md)
- [Snapshot a bundle into an evidence-restricted copy and revoke the source's gated approvals](/api-reference/governance-operations/snapshot-a-bundle-into-an-evidence-restricted-copy-and-revoke-the-sources-gated-approvals.md)
- [Get a bundle's evidence, results, and approval progress against one of its applied policies](/api-reference/governance-operations/get-a-bundles-evidence-results-and-approval-progress-against-one-of-its-applied-policies.md)
- [Copy the transferable results from one bundle to another](/api-reference/governance-operations/copy-the-transferable-results-from-one-bundle-to-another.md)
